# --->
# ---> CFLAGS
# --->

# ENABLE TRACES
ifeq ($(VP_DEBUG),yes)
	CXX_FLAGS += -DVP_DEBUG=yes -g
	CXX_FLAGS_TMP:=$(filter-out -O%,$(CXX_FLAGS))
	CXX_FLAGS:=$(filter-out -Werror,$(CXX_FLAGS_TMP))
endif

# LEVEL OF TRACE
VP_DMODE ?= 0
CXX_FLAGS += -DVP_DEBUG_MODE=$(VP_DMODE)

# FLAG DEFENSIF
ifeq ($(VP_DEFENSIF), yes)
  CXX_FLAGS += -DVP_DEFENSIF
endif

# --->
# ---> MAKE FLAGS
# --->

MAKE_FLAGS     =
ifeq ($(VP_DEBUG),yes)
  MAKE_FLAGS     += VP_DEBUG=yes
endif

ifeq ($(VP_DEFENSIF), yes)
  MAKE_FLAGS     += VP_DEFENSIF=yes
endif

ifdef VP_DMODE
  MAKE_FLAGS     += VP_DMODE=$(VP_DMODE)
endif
