IDL_HEADER_EXTENSION=.hh


# --- CORBA SERVER

CIDL	= /usr/bin/omniidl -bcxx -Wbh=$(IDL_HEADER_EXTENSION) -Wbs=SK.cpp
CORBA_CXXFLAGS =  -I$(OPENHRP_ROOTDIR)/Controller/IOserver/include -I$(OPENHRP_ROOTDIR)/Controller/corba -I$(OPENHRP_ROOTDIR)/Common -I$(OPENHRP_ROOTDIR)/Controller/IOserver/robot/HRP2JRL -I. -DOMNIORB4  -DVERSION=2 -DCOMMERCIAL  -D__x86__  -DHRP2JRL  

%SK.cpp: %.idl
	$(CIDL) $<

clean: cleanIDL

cleanIDL:
	@rm -f $(CORBA_CPP_OBJ) $(CORBA_OBJ_OBJ) $(CORBA_HPP_OBJ) 


define idlfiles_template
$(2)_OBJ_FILES += $(PROJECT_PLUGIN_OBJ_PATH)/$(1)SKPLUG.o
$(1)SK.cpp: commonSK.cpp
$(1)SK_CXXFLAGS += -I/usr/local/3.3/include $(CORBA_CXXFLAGS)
$(2)_CORBA_CXXFLAGS = -I/usr/local/3.3/include $(CORBA_CXXFLAGS)
clean_$(1): 
	rm -f $(1)SK.cpp $(1)$(IDL_HEADER_EXTENSION)
clean: clean_$(1)
endef
commonSK_CXXFLAGS += -I/usr/local/3.4/include $(CORBA_CXXFLAGS)

define corba_cxxflags_template
$(1)_CXXFLAGS += $($(1)_CORBA_CXXFLAGS)
endef

$(foreach PLUG,$(PLUGINS:%.cpp=%),$(foreach TARGET,$($(PLUG)_IDL),$(eval $(call idlfiles_template,$(TARGET),$(PLUG)))))
$(foreach PLUG,$(PLUGINS:%.cpp=%),$(eval $(call corba_cxxflags_template,$(PLUG))))

# --- /CORBA SERVER
