function [nerr] = calibCouple( taus,Rqs,paramsIn,opts );

% narg=size(params);
% if (narg<3)  uteta=[0 0 -pi/2]; else uteta=params(1:3);  end;
% if (narg<6)  sc=[0 0 -0.05];    else sc=params(4:6);  end;
% if (narg<7)  mg=[ 0;0;-8];      else mg=[0;0;params(7)]; end;
% if (narg<10)  gamma_tau=0;       else gamma_tau=params(8:10)'; end;
% if (narg<19) gains=zeros(1,9);  else gains=params(11:19); end;
% 
% sRh=tomatrix(uteta);
% %K=diag(gains)+eye(3);
% K=reshape(gains,3,3)+eye(3);
% Sk_sc=[ 0 -sc(3) sc(2); sc(3) 0 -sc(1); -sc(2) sc(1) 0];
% if(gamma_tau==0) gamma_tau=-Sk_sc*mg; end;
% 

idxTau=[ 1:3 4:6 7 11:13 23:31 ];
params(idxTau(1:length(paramsIn)))=paramsIn;

narg=length(params);
if (narg<3)  uteta=[0 0 -pi/2]; else uteta=params(1:3);  end;
if (narg<6)  sc=[0 0 -0.05];    else sc=params(4:6);  end;
if (narg<7)  mg=[ 0;0;-8];      else mg=[0;0;params(7)]; end;
if (narg<10) gamma_f=mg;        else gamma_f=params(8:10)'; end;
if (narg<13) gamma_tau=0;       else gamma_tau=params(11:13)'; end;
if (narg<16) % 3 params (Only Diag(Kf))
   gains=zeros(6);
else if (narg<19)% 6 params (Only Diag(K))
   gains=[ diag(params(14:16)) zeros(3); zeros(3,6)];
else if (narg<22) % 9 params (only Kf)
   gains=diag(params(14:19)); 
else if (narg<25) % 12 params (Kf and Diag(Ktau))
   gains=[ reshape(params(14:22),3,3) zeros(3); zeros(3,6)];
else if (narg<31) % 18 params (Kf and Ktau)
   gains=[ reshape(params(14:22),3,3) zeros(3); zeros(3,3) diag(params(23:25)) ];
else if (narg<49) % All parameters: K=6x6
   Kf=reshape(params(14:22),3,3); Ktau=reshape(params(23:31),3,3);   
   gains=[Kf zeros(3); zeros(3) Ktau];
else 
   gains=reshape(params(14:49),6,6); 
end; end; end; end; end; end;

sRh=tomatrix(uteta);
K=gains+eye(6);
Sk_sc=[ 0 -sc(3) sc(2); sc(3) 0 -sc(1); -sc(2) sc(1) 0];
if(gamma_tau==0) gamma_tau=-Sk_sc*mg; end;

Ktau=K(4:6,4:6);
for i=1:length(Rqs) 
    hRw=reshape(Rqs(i,[1:3 5:7 9:11]),3,3); % reshape transpose the res.
    taured=taus(i,1:3)';
    err(i,:)=Ktau*(-taured-sRh*gamma_tau)+sRh*Sk_sc*hRw*mg;
end;

nerr=norm(err)+norm(gains)*2.50;

if (4==nargin)
    if opts=='plot' 
        subplot(2,1,1); plot(taus); title('Tau non comp');
        subplot(2,1,2); plot(err); title('Tau comp');
    end;
end;
