[fs t]=p('jl_forceRARM');
rqs=p('jl_0');
fs=fs(2000:end,:);
rqs=rqs(2000:end,:);
t=t(2000:end,:);

ln=10;
dt=conv(t,[-1 1]);
idx=find(abs(dt)>10);
fred=[]; rqred=[];
for i=idx(1:end-1)'
      fred=[fred; fs(i+1:i+ln,:)];
      rqred=[rqred; rqs(i+1:i+ln,:)];
end
taured=fred(:,4:6);
paramsLH0=paramsFinal;
paramsLH0(1:3)=-paramsFinal(1:3);

idxgamma=8:13; idxsrh=1:3; idxsc=4:6; idxgammaf=8:10; idxgain=14:49;
idxgain6=14:7:49; idxgain18=13+find([ones(3) zeros(3);zeros(3) ones(3)]);

curs=1;
paramsLH(curs,:)=paramsLH0;

% GAMMA6
paramsLH(curs+1,:)=paramsLH(curs,:);
paramsLH(curs+1,idxgamma)=fminsearch(@(p)calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs,:),{'gamma6'},(p)),paramsLH(curs,idxgamma));
calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs+1,:),'plot2')
curs=curs+1;

% SRH
paramsLH(curs+1,:)=paramsLH(curs,:);
paramsLH(curs+1,idxsrh)=fminsearch(@(p)calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs,:),{'sRh'},(p)),paramsLH(curs,idxsrh));
calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs+1,:),'plot2')
curs=curs+1;

% SC
paramsLH(curs+1,:)=paramsLH(curs,:);
paramsLH(curs+1,idxsc)=fminsearch(@(p)calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs,:),{'sc'},(p)),paramsLH(curs,idxsc));
calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs+1,:),'plot2')
curs=curs+1;

% SC+SRH+GAMMA_FORCE
paramsLH(curs+1,:)=paramsLH(curs,:);
paramsLH(curs+1,[ idxsrh idxsc idxgammaf ])=fminsearch(@(p)calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs,:),{'sRh','sc','gammaf'},(p)),paramsLH(curs,[ idxsrh idxsc idxgammaf ]));
calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs+1,:),'plot2')
curs=curs+1;

% SC+SRH+GAMMA_6
paramsLH(curs+1,:)=paramsLH(curs,:);
paramsLH(curs+1,[ idxsrh idxsc idxgamma ])=fminsearch(@(p)calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs,:),{'sRh','sc','gamma6'},(p)),paramsLH(curs,[ idxsrh idxsc idxgamma ]));
calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs+1,:),'plot2')
curs=curs+1;

% GAIN_DIAG
gainLH=fminsearch(@(p)calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs,:),{'gain36'},(p)),zeros(1,36));
calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs,:),{'gain36'},gainLH,'plot2')
paramsLH(curs+1,:)=paramsLH(curs,:);
paramsLH(curs+1,idxgain)=paramsLH(curs,idxgain)+gainLH;
curs=curs+1;

% SC+SRH+GAMMA_6
gainLH=fminsearch(@(p)calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs,:),{'sRh','sc','gamma6','gain6'},(p)),[ paramsLH(curs,[ idxsrh idxsc idxgamma ]) zeros(1,6)]);
lparam=length([ idxsrh idxsc idxgamma ]);
paramsLH(curs+1,:)=paramsLH(curs,:);
paramsLH(curs+1,[ idxsrh idxsc idxgamma ])=gainLH(1:lparam);
paramsLH(curs+1,idxgain6)=paramsLH(curs,idxgain6)+gainLH(lparam+1:end);
calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs+1,:),'plot2')
curs=curs+1;

% SC+SRH+GAMMA_18
gainLH=fminsearch(@(p)calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs,:),{'sRh','sc','gamma6','gain18'},(p)),[ paramsLH(curs,[ idxsrh idxsc idxgamma ]) zeros(1,18)]);
lparam=length([ idxsrh idxsc idxgamma ]);
paramsLH(curs+1,:)=paramsLH(curs,:);
paramsLH(curs+1,[ idxsrh idxsc idxgamma ])=gainLH(1:lparam);
paramsLH(curs+1,idxgain18)=paramsLH(curs,idxgain18)+gainLH(lparam+1:end);
calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs+1,:),'plot2')
curs=curs+1;

% SC+SRH+GAMMA_36
gainLH=fminsearch(@(p)calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs,:),{'sRh','sc','gamma6','gain36'},(p)),[ paramsLH(curs,[ idxsrh idxsc idxgamma ]) zeros(1,36)]);
lparam=length([ idxsrh idxsc idxgamma ]);
paramsLH(curs+1,:)=paramsLH(curs,:);
paramsLH(curs+1,[ idxsrh idxsc idxgamma ])=gainLH(1:lparam);
paramsLH(curs+1,idxgain)=paramsLH(curs,idxgain)+gainLH(lparam+1:end);
calibTorsor(fs,rqs,{'sRh','sc','mg','gamma6','gain36'},paramsLH(curs+1,:),'plot2')
%curs=curs+1;

fs=ffull;
rqs=rqfull;

