USEROPENROBOTSPATH=${ROBOTPKG_BASE}
WORKINGDIRECTORY=/tmp/
TARGETPATH=grxuser@hrp2010c:/home/grxuser/devel/openrobots
SCPCMD=scp
CPCMD=/bin/cp
USERNAME=`whoami`

echo $USERNAME

${CPCMD} -r ${USEROPENROBOTSPATH}/script ${WORKINGDIRECTORY}
WDSCRIPT=${WORKINGDIRECTORY}/script

ORIGINLIB=/home/grxuser/devel/openrobots/lib/

echo

function ChangeFiles()
{
    cd $1
    for i in `ls`; do
	if [ -f $i ]; then
	    filetooperate=$i
	    echo ${filetooperate};

	    cp ${filetooperate} tmp_$i;

	    cat tmp_$i | sed "s@/home/${USERNAME}/src/OpenHRP@/home/grxuser/src/OpenHRP@g" > tmp2_$i;
	    cat tmp2_$i | sed "s@${USEROPENROBOTSPATH}/@/home/grxuser/devel/openrobots/@g" > $i;

	    rm tmp*_$i
	elif [ -d $i ]; then
	    echo
	    echo going into directory $i;
	    ChangeFiles $i
	fi;
    done;
    cd -
}

ChangeFiles ${WORKINGDIRECTORY}/script

# python scripts

HRPSCRIPTDIR=/home/${USERNAME}/src/OpenHRP/Controller/IOserver/robot/HRP2JRL/script
TARGETPYTHON=grxuser@150.29.191.207:/home/grxuser/src/OpenHRP/Controller/IOserver/robot/HRP2JRL/script
WDPYTHON=/tmp/python
mkdir -p ${WDPYTHON}
cp ${HRPSCRIPTDIR}/sot*.py ${WDPYTHON}

cd ${WDPYTHON}

for i in `ls`; do
    if [ -f $i ]; then
	cp $i tmp_$i;
	cat tmp_$i | sed "s/${USERNAME}/grxuser/g" > $i;
	rm tmp*_$i;
    fi;
done;

cd -


#scp python

echo ${WDPYTHON}
echo ${TARGETPYTHON}
${SCPCMD} ${WDPYTHON}/* ${TARGETPYTHON}


rsh grxuser@hrp2010c mkdir -p ${ORIGINLIB}/plugin

#scp openrobots

${SCPCMD} -r ${WDSCRIPT} ${TARGETPATH}

${SCPCMD} -r ${USEROPENROBOTSPATH}/lib/plugin ${TARGETPATH}/lib

${SCPCMD} -r ${USEROPENROBOTSPATH}/bin ${TARGETPATH}/bin

function CopyAndLinkFiles()
{

    TARGETLIB=/home/grxuser/src/OpenHRP/Controller/IOserver/robot/HRP2JRL/bin

    if  [ "$1" = "dyn" ] ; then 
      v=`ls ${USEROPENROBOTSPATH}/lib/libdynamics*`;
    elif [ "$1" = "hrp2dyn" ]; then
      v=`ls ${USEROPENROBOTSPATH}/lib/libhrp2Dynamics*`;	
    elif [ "$1" = "sot" ]; then
      v=`ls ${USEROPENROBOTSPATH}/lib/libsot*`;	
    elif [ "$1" = "walkGenJrl" ]; then
      v=`ls ${USEROPENROBOTSPATH}/lib/libwalkGenJrl*`;	
    fi;

    ${SCPCMD} $v ${TARGETPATH}/lib
    for i in $v; do
	if [ -f $i ]; then
	    filetooperate=`basename $i`
	    echo rsh grxuser@hrp2010c ln -s ${ORIGINLIB}/${filetooperate} ${TARGETLIB}/${filetooperate};
	    rsh grxuser@hrp2010c ln -s ${ORIGINLIB}/${filetooperate} ${TARGETLIB}/${filetooperate};
	fi;
    done;
    cd -
}

#${SCPCMD}  ${USEROPENROBOTSPATH}/lib/libdynamics* ${TARGETPATH}/lib
CopyAndLinkFiles "dyn"
#${SCPCMD}  ${USEROPENROBOTSPATH}/lib/libhrp2Dynamics* ${TARGETPATH}/lib
CopyAndLinkFiles "hrp2dyn"
#${SCPCMD}  ${USEROPENROBOTSPATH}/lib/libsot* ${TARGETPATH}/lib
CopyAndLinkFiles "sot"
#${SCPCMD}  ${USEROPENROBOTSPATH}/lib/libwalkGenJrl* ${TARGETPATH}/lib
CopyAndLinkFiles "walkGenJrl"

#scp plugin

${SCPCMD} /home/${USERNAME}/src/OpenHRP/Controller/IOserver/robot/HRP2JRL/bin/StackOfTasks.so grxuser@hrp2010c:/home/grxuser/src/OpenHRP/Controller/IOserver/robot/HRP2JRL/bin
