//#include "SotAmelifDynamic.hh"
#include "sadMainProgramAbstract.hh"
#include "sadMainProgramKinematics.hh"
#include "sadMainProgramDynamicVelocityControl.hh"
#include "sadMainProgramDynamicTorqueControl.hh"

#include "sadMainProgramDynamicHrp2.hh"


extern "C"
{
  AFMP_EXPORTS AFApplication::MainProgramHandle* getMainPrograms(int& num)
  {
    num = 5;
    
    AFApplication::MainProgramHandle* result = new AFApplication::MainProgramHandle[num];
    result[0] = new sadMainProgram::sadMainProgramDynamicVelocityControl;
    result[1] = new sadMainProgram::sadMainProgramDynamicTorqueControl;
    result[2] = new sadMainProgram::sadMainProgramDynamicHrp2<sadMainProgram::sadMainProgramDynamicTorqueControl>;
    result[3] = new sadMainProgram::sadMainProgramDynamicHrp2<sadMainProgram::sadMainProgramDynamicVelocityControl>;
    result[4] = new sadMainProgram::sadMainProgramKinematics;
    //sult[3] = new SotAmelifDynamicNamespace::SotAmelifDynamic;
    return result;
  }
}          

