IF (walkGenJrl_FOUND)
  MESSAGE(STATUS "walk gen jrl found ")
  SET (libsot_hwpg_src "")
  SET (libsot_hwpg_templates "")
  SET(libsot_hwpg_headers "")
  SET(libsot_hwpg_plugins_headers "")
  SET(libsot_hwpg_plugins_templates "")
  SET(libsot_hwpg_plugins_src
	PatternGenerator/sotNextStep.cpp
	PatternGenerator/sotNextStepPgSot.cpp
	PatternGenerator/sotPatternGenerator.cpp
        PatternGenerator/sotSelector.cpp
	PatternGenerator/sotWhichFootUpper.cpp
  )
  IF (OPENHRP_FOUND)
  SET(libsot_hwpg_plugins_src
	${libsot_hwpg_plugins_src}
#	PatternGenerator/sotNextStepOpenHRP.cpp	
  )
  ENDIF (OPENHRP_FOUND)
  
ELSE(walkGenJrl_FOUND)
  MESSAGE(STATUS "walk gen jrl NOT found ")
  SET (libsot_hwpg_src "")
  SET (libsot_hwpg_templates "")
  SET(libsot_hwpg_headers "")
  SET(libsot_hwpg_plugins_headers "")
  SET(libsot_hwpg_plugins_templates "")
  SET(libsot_hwpg_plugins_src 
	PatternGenerator/sotWhichFootUpper.cpp
	PatternGenerator/sotSelector.cpp
	PatternGenerator/sotNextStep.cpp
  )
ENDIF(walkGenJrl_FOUND)


# SET (libsot_hwpg_src ${libsot_hwpg_src})
# SET (libsot_hwpg_templates ${libsot_hwpg_templates})
# SET(libsot_hwpg_headers ${libsot_hwpg_headers})

# SET(libsot_hwpg_plugins_src
  # ${libsot_hwpg_plugins_src}
  # PatternGenerator/sotWhichFootUpper.cpp
  # PatternGenerator/sotSelector.cpp
  # PatternGenerator/sotNextStep.cpp
  # )

#MESSAGE(STATUS "hwpg_plugins: "${libsot_hwpg_plugins_src})

  IF(OPENHRP_VERSION_2)
    SET(libsot_hwpg_plugins_src ${libsot_hwpg_plugins_src} PatternGenerator/sotNextStepOpenHRP.cpp)
  ENDIF(OPENHRP_VERSION_2)

  FOREACH(srcfile ${libsot_hwpg_src})
    SET(newsrcfile "")
    STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
    SET(libsot_hwpg_headers ${newsrcfile} ${libsot_hwpg_headers})
  ENDFOREACH(srcfile)

  FOREACH(srcfile ${libsot_hwpg_plugins_src})
    SET(newsrcfile "")
    STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
    SET(libsot_hwpg_plugins_headers ${newsrcfile} ${libsot_hwpg_plugins_headers})
  ENDFOREACH(srcfile)

  SET(tempext "t\\.cpp")

  FOREACH(srcfile ${libsot_hwpg_templates})
    SET(newsrcfile "")
    STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
    SET(libsot_hwpg_headers ${newsrcfile} ${libsot_hwpg_headers})
  ENDFOREACH(srcfile)

  FOREACH(srcfile ${libsot_hwpg_plugins_templates})
    SET(newsrcfile "")
    STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
    SET(libsot_hwpg_plugins_headers ${newsrcfile} ${libsot_hwpg_plugins_headers})
  ENDFOREACH(srcfile)

SET (libsot_src ${libsot_src}
  ${libsot_hwpg_src})

SET (libsot_headers ${libsot_headers}
  ${libsot_hwpg_headers})

SET (libsot_templates ${libsot_templates}
  ${libsot_hwpg_templates})

SET (libsot_plugins_headers ${libsot_plugins_headers}
    ${libsot_hwpg_plugins_headers})

SET (libsot_plugins_templates ${libsot_plugins_templates}
    ${libsot_hwpg_plugins_templates})

SET (libsot_plugins_src ${libsot_plugins_src}
    ${libsot_hwpg_plugins_src})

# Specify the link flags for each plugins.
SET (sotPatternGenerator_plugins_compile_flags "${walkGenJrl_CFLAGS}" )	
SET (sotPatternGenerator_plugins_compile_flags "-g" )	
SET (sotPatternGenerator_plugins_link_flags "${walkGenJrl_LINK_FLAGS}" )
SET (sotSelector_plugins_compile_flags "${walkGenJrl_CFLAGS}" )	
SET (sotSelector_plugins_link_flags "${walkGenJrl_LINK_FLAGS}" )
SET (sotNextStep_plugins_compile_flags "${walkGenJrl_CFLAGS}" )	
SET (sotNextStep_plugins_link_flags "${walkGenJrl_LINK_FLAGS}" )
SET (sotNextStepOpenHRP_plugins_dependencies 
	StackOfTasks
	sotNextStep
)
SET (sotNextStepPgSot_plugins_dependencies 
	sotNextStep
)
SET (sotNextStepOpenHRP_plugins_compile_flags "${walkGenJrl_CFLAGS}" )	
SET (sotNextStepOpenHRP_plugins_link_flags "${walkGenJrl_LINK_FLAGS}" )
SET (sotWhichFootUpper_plugins_compile_flags "${walkGenJrl_CFLAGS}" )	
SET (sotWhichFootUpper_plugins_link_flags "${walkGenJrl_LINK_FLAGS}" )


