# Francois Keith, Olivier Stasse, JRL, CNRS/AIST
# Creation: 25/06/2008
# History:
#
# Copyright CNRS/AIST

SET (libsot_controlpd_plugins_headers "")
SET (libsot_controlpd_plugins_templates "")
SET (libsot_controlpd_plugins_src
control/sotControlPD.cpp
)

SET (libsot_controlpd_templates "")
SET (libsot_controlpd_src "")
SET (libsot_controlpd_headers "")

# plugins dependencies
FOREACH(srcfile ${libsot_controlpd_src})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_controlpd_headers ${libsot_controlpd_headers} ${newsrcfile})
ENDFOREACH(srcfile)

FOREACH(srcfile ${libsot_controlpd_plugins_src})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_controlpd_plugins_headers ${libsot_controlpd_plugins_headers} ${newsrcfile})
ENDFOREACH(srcfile)

SET(tempext "t\\.cpp")

FOREACH(srcfile ${libsot_controlpd_templates})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   SET(libsot_controlpd_headers ${libsot_controlpd_headers} ${newsrcfile})
ENDFOREACH(srcfile)

FOREACH(srcfile ${libsot_controlpd_plugins_templates})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   SET(libsot_controlpd_plugins_headers ${libsot_controlpd_plugins_headers} ${newsrcfile})
ENDFOREACH(srcfile)

#MESSAGE(STATUS "libsot_controlpd_headers:${libsot_controlpd_headers}")

# # Specify the compile flags for source file.
# SET_SOURCE_FILES_PROPERTIES (${libsot_controlpd_plugins}
			     # PROPERTIES 	 
			     # COMPILE_FLAGS "${MatrixAbstractLayer_cflags} ${SOT_CXX_FLAGS}"
			     # LINK_FLAGS "-l${SOT_INTERN_LIBS}" )

SET (libsot_src ${libsot_src}
${libsot_controlpd_src}
)

SET (libsot_headers ${libsot_headers}
${libsot_controlpd_headers}
)

SET (libsot_templates ${libsot_templates}
${libsot_controlpd_templates}
)

SET (libsot_plugins_src ${libsot_plugins_src}
${libsot_controlpd_plugins_src}
)

SET (libsot_plugins_headers ${libsot_plugins_headers}
${libsot_controlpd_plugins_headers}
)

SET (libsot_plugins_templates ${libsot_plugins_templates}
${libsot_controlpd_plugins_templates}
)
