SET (libsot_exception_src 
exception/sotExceptionAbstract.cpp 
exception/sotExceptionTask.cpp  
exception/sotExceptionFeature.cpp  
exception/sotExceptionFactory.cpp  
exception/sotExceptionDynamic.cpp  
exception/sotExceptionPatternGenerator.cpp  
exception/sotExceptionTraces.cpp 
exception/sotExceptionTools.cpp 
exception/sotExceptionSignal.cpp 
)

SET (libsot_exception_templates "")

SET(libsot_exception_headers "")

FOREACH(srcfile ${libsot_exception_src})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_exception_headers ${newsrcfile} ${libsot_exception_headers})
ENDFOREACH(srcfile)

SET(tempext "t\\.cpp")

FOREACH(srcfile ${libsot_exception_templates})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   SET(libsot_exception_headers ${newsrcfile} ${libsot_exception_headers})
ENDFOREACH(srcfile)

#MESSAGE(STATUS "libsot_exception_headers:${libsot_exception_headers}")
 
SET (libsot_src ${libsot_src}
${libsot_exception_src}
)

SET (libsot_headers ${libsot_headers}
${libsot_exception_headers}
)

SET (libsot_templates ${libsot_templates}
${libsot_exception_templates}
)

