SET (libsot_factory_src 
factory/sotEntity.cpp 
factory/sotPool.cpp  
factory/sotPluginLoader.cpp  
factory/sotFactory.cpp  
factory/sotInterpretor.cpp 
)

SET (libsot_factory_templates "")

SET(libsot_factory_headers 
factory/sotMacrosSignal.h
)

SET(libsot_factory_plugins_headers "")
SET(libsot_factory_plugins_templates "")
SET(libsot_factory_plugins_src 
factory/sotShellFunctions.cpp
factory/sotShellProcedure.cpp
)

FOREACH(srcfile ${libsot_factory_src} )
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_factory_headers ${newsrcfile} ${libsot_factory_headers})
ENDFOREACH(srcfile)

FOREACH(srcfile ${libsot_factory_plugins_src} )
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_factory_plugins_headers ${newsrcfile} ${libsot_factory_plugins_headers})
ENDFOREACH(srcfile)

SET(tempext "t\\.cpp")

FOREACH(srcfile ${libsot_factory_templates})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   SET(libsot_factory_headers ${newsrcfile} ${libsot_factory_headers})
ENDFOREACH(srcfile)

FOREACH(srcfile ${libsot_factory_plugins_templates})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   SET(libsot_factory_plugins_headers ${newsrcfile} ${libsot_factory_plugins_headers})
ENDFOREACH(srcfile)

#MESSAGE(STATUS "libsot_factory_headers:${libsot_factory_headers}")

# Specify the compile flags for source file.
SET_SOURCE_FILES_PROPERTIES (factory/sotPool.cpp 
			     factory/sotShellFunctions.cpp
			     factory/sotShellProcedure.cpp
        		     PROPERTIES 	 
			     COMPILE_FLAGS "${MatrixAbstractLayer_cflags}" )
 
SET (libsot_src ${libsot_src}
${libsot_factory_src}
)

SET (libsot_headers ${libsot_headers}
${libsot_factory_headers}
)

SET (libsot_templates ${libsot_templates}
${libsot_factory_templates}
)

SET (libsot_plugins_src ${libsot_plugins_src}
${libsot_factory_plugins_src}
)

SET (libsot_plugins_headers ${libsot_plugins_headers}
${libsot_factory_plugins_headers}
)

SET (libsot_plugins_templates ${libsot_plugins_templates}
${libsot_factory_plugins_templates}
)
