/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 * Copyright Projet JRL-Japan, 2007
 *+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 *
 * File:      sotVectorUTheta.h
 * Project:   SOT
 * Author:    Nicolas Mansard
 *
 * Version control
 * ===============
 *
 *  $Id$
 *
 * Description
 * ============
 *
 *
 * ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

#ifndef __SOT_VECTOR_UTHETA_H__
#define __SOT_VECTOR_UTHETA_H__

/* --- SOT --- */
#include <sot/sotVectorRotation.h>
#include <sot/sot-0API.h>

/* --------------------------------------------------------------------- */
/* --------------------------------------------------------------------- */
/* --------------------------------------------------------------------- */
class SOT_EXPORT sotVectorUTheta
: public sotVectorRotation
{
 public: 

  sotVectorUTheta( void ) : sotVectorRotation() { }
  virtual ~sotVectorUTheta( void ) { }

  virtual sotVectorRotation& fromMatrix( const sotMatrixRotation& rot );
  virtual sotMatrixRotation& toMatrix( sotMatrixRotation& rot ) const;

};
    


#endif /* #ifndef __SOT_VECTOR_UTHETA_H__ */
