SET (libsot_signal_src
signal/sotSignalArray.cpp
signal/sotSignalCast.cpp
)

SET (libsot_signal_templates 
signal/sotSignal.t.cpp 
signal/sotTimeDependancy.t.cpp 
signal/sotSignalPtr.t.cpp
)

SET(libsot_signal_headers 
signal/sotSignalAbstract.h
signal/sotSignalTimeDependant.h
)

FOREACH(srcfile ${libsot_signal_src})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_signal_headers ${newsrcfile} ${libsot_signal_headers})
#   MESSAGE(STATUS "newsrcfile: " ${newsrcfile})
ENDFOREACH(srcfile)

SET(tempext "t\\.cpp")

FOREACH(srcfile ${libsot_signal_templates})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   SET(libsot_signal_headers ${newsrcfile} ${libsot_signal_headers})
#   MESSAGE(STATUS "newsrcfile: " ${newsrcfile})
ENDFOREACH(srcfile)

#MESSAGE(STATUS "libsot_signal_headers:${libsot_signal_headers}")

SET_SOURCE_FILES_PROPERTIES (signal/sotSignalCast.cpp 
			     PROPERTIES 	 
			     COMPILE_FLAGS "${MatrixAbstractLayer_cflags}" )

SET (libsot_src ${libsot_src}
${libsot_signal_src}
)

SET (libsot_headers ${libsot_headers}
${libsot_signal_headers}
)

SET (libsot_templates ${libsot_templates}
${libsot_signal_templates}
)

