SET (libsot_task_src
task/sotFlags.cpp
task/sotTaskAbstract.cpp
)

SET (libsot_task_templates "")

SET(libsot_task_headers "")

SET(libsot_task_plugins_headers "")
SET(libsot_task_plugins_templates "")
SET(libsot_task_plugins_src
task/sotGainAdaptative.cpp
task/sotGainHyperbolic.cpp
task/sotConstraint.cpp
task/sotTask.cpp
task/sotTaskConti.cpp
task/sotTaskPD.cpp
)

#plugins dependencies
SET (sotTaskPD_plugins_dependencies sotTask)
SET (sotTaskConti_plugins_dependencies sotTask)

FOREACH(srcfile ${libsot_task_src})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_task_headers ${newsrcfile} ${libsot_task_headers})
ENDFOREACH(srcfile)

FOREACH(srcfile ${libsot_task_plugins_src})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_task_plugins_headers ${newsrcfile} ${libsot_task_plugins_headers})
ENDFOREACH(srcfile)

SET(tempext "t\\.cpp")

FOREACH(srcfile ${libsot_task_templates})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   SET(libsot_task_headers ${newsrcfile} ${libsot_task_headers})
ENDFOREACH(srcfile)

FOREACH(srcfile ${libsot_task_plugins_templates})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   SET(libsot_task_plugins_headers ${newsrcfile} ${libsot_task_plugins_headers})
ENDFOREACH(srcfile)

#MESSAGE(STATUS "libsot_task_headers:${libsot_task_headers}")

# # Specify the compile flags for source file.
# SET_SOURCE_FILES_PROPERTIES (task/sotTaskAbstract.cpp
			     # task/sotConstraint.cpp
			     # task/sotGainAdaptative.cpp
			     # task/sotTask.cpp
			     # task/sotTaskPD.cpp
			     # task/sotTaskConti.cpp
			     # PROPERTIES 	 
			     # COMPILE_FLAGS "${MatrixAbstractLayer_cflags}" )
 
SET (libsot_src ${libsot_src}
${libsot_task_src}
)

SET (libsot_headers ${libsot_headers}
${libsot_task_headers}
)

SET (libsot_templates ${libsot_templates}
${libsot_task_templates}
)

SET (libsot_plugins_headers ${libsot_plugins_headers}
${libsot_task_plugins_headers}
)

SET (libsot_plugins_templates ${libsot_plugins_templates}
${libsot_task_plugins_templates}
)

SET (libsot_plugins_src ${libsot_plugins_src}
${libsot_task_plugins_src}
)
