# Olivier Stasse
# JRL, CNRS/AIST
# 02/07/2008

This installation procedure assumes that cmake 2.6
is available.

To setup the installation:
1/ Create a build directory and go inside
mkdir build; cd build
2/ Call cmake:
ccmake ..

* Boost and BoostSandbox.
=========================
Boost is usually found without too much trouble.
You might have to specify BoostSandbox_INCLUDE_DIR
in ccmake in order for the system to find BoostSandbox.

IMPORTANT: However you have to make sure that the name of
the boost thread library is correct in the variable:
BOOST_THREAD_LIB_NAME
It might be different if you are using a compiler 
with a specific version number.

* Matrix Abstract Layer and dynamicJRLJapan
===========================================
There is a tentative to detect automatically
those two packages. 
It is working if the following variable are set:
ROBOTPKG_BASE
or 
PKG_CONFIG_PATH

to the directory which contains:

MatrixAbstractLayer.pc
dynamicsJRLJapan.pc

This allows to have the dynamic related plugins working.
Otherwise you can set 
PKG_ROBOTPACKAGE_DIR with ccmake.


* OpenHRP
=========
The system tries to find a file named Make.vars 
in the directories $(OPENHRPHOME) or $(HOME)/src.
If this fails please fill in the OPENHRP_HOME variable
in ccmake.

