run ${ROBOTPACKAGE_DIR}script/dyn
# simple task: rhand

dyn.createOpPoint rhand 22

new FeaturePoint6d rhandNouv
new FeaturePoint6d rhandNouvd

new MatrixConstant id3
id3.resize 3 3
id3.eye

new Compose<R+T> compRhand
plug id3.out compRhand.in1

new VectorConstant tRhand
tRhand.resize 3
tRhand.[] 0 0.04
tRhand.[] 1 -0.345
tRhand.[] 2 0.6717
tRhand.[] 2 0.6
plug tRhand.out compRhand.in2

plug compRhand.out rhandNouvd.position
plug dyn.Jrhand rhandNouv.Jq
plug dyn.rhand rhandNouv.position
set rhandNouv.sdes rhandNouvd

new Task taskRhand
taskRhand.add rhandNouv
new GainAdaptative gain2
gain2.setConstant 1
plug taskRhand.error gain2.error
plug gain2.gain taskRhand.controlGain

sot.push taskTwofeet
sot.push taskCom
sot.push taskRhand

plug sot.control OpenHRP.control
plug OpenHRP.state dyn.position
plug OpenHRP.state dyn2.position

# new RPYToMatrix attitudeHRP2
# plug OpenHRP.attitude attitudeHRP2.in

# plug attitudeHRP2.out posKF.attitudeIN
# plug attitudeHRP2.out flex.sensorWorldRotation

plug OpenHRP.attitude flex.sensorWorldRotation
