IF(OMNIORB4_FOUND)

   SET (libsot_corba_src "")

   SET (libsot_corba_templates "")

   SET(libsot_corba_headers 
     corba/CORBAReference.h
     )

   SET(libsot_corba_plugins_headers "")
   
   SET(libsot_corba_plugins_src
   corba/sotServerAbstract.cpp
   corba/sotServerCommand.cpp)

   # ---- DO NOT TOUCH THIS PART
   SET(tempext "t\\.cpp")

   #MESSAGE(STATUS "libsot_corba_headers:${libsot_corba_headers}")

   FOREACH(srcfile ${libsot_corba_src})
   	SET(newsrcfile "")
   	STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   	SET(libsot_corba_headers ${newsrcfile} ${libsot_corba_headers})
   ENDFOREACH(srcfile)
   
   FOREACH(srcfile ${libsot_corba_plugins_src})
	SET(newsrcfile "")
	STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
	SET(libsot_corba_plugins_headers ${libsot_corba_plugins_headers} ${newsrcfile})
   ENDFOREACH(srcfile)

   #MESSAGE(STATUS "libsot_corba_headers: " ${libsot_corba_headers})

   FOREACH(srcfile ${libsot_corba_templates})
   	SET(newsrcfile "")
   	STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   	SET(libsot_corba_headers ${newsrcfile} ${libsot_corba_headers})
   #   MESSAGE(STATUS "newsrcfile: " ${newsrcfile})
   ENDFOREACH(srcfile)

 
   SET (libsot_src ${libsot_src}
   ${libsot_corba_src}
   )

   SET (libsot_headers ${libsot_headers}
   ${libsot_corba_headers}
   )

   SET (libsot_templates ${libsot_templates}
   ${libsot_corba_templates}
   )

   SET (libsot_plugins_src ${libsot_plugins_src}
   ${libsot_corba_plugins_src}
   )

   SET (libsot_plugins_headers ${libsot_plugins_headers}
   ${libsot_corba_plugins_headers}
   )
   #---- END OF DO NOT TOUCH THIS PART	

   # Specify a rule to generate the IDL for ServerCommand.
   SET(ServerCommand_CPP "${PROJECT_SOURCE_DIR}/corba/ServerCommandSK.cc")
   SET(ServerCommand_Header "${PROJECT_SOURCE_DIR}/corba/ServerCommand.h" )	

   IF(OPENHRP_FOUND)
     SET(IDL_INCLUDE_DIR "${OPENHRP_HOME}/Common/corba")
   ELSE(OPENHRP_FOUND)
     SET(IDL_INCLUDE_DIR "${PROJECT_SOURCE_DIR}/corba")
   ENDIF(OPENHRP_FOUND)
   
   #MESSAGE(STATUS "Idl include dir:" ${IDL_INCLUDE_DIR})
   IDLFILERULE(${PROJECT_SOURCE_DIR}/corba/ServerCommand.idl 
               ${ServerCommand_CPP}
               ${ServerCommand_Header} ${PROJECT_SOURCE_DIR}/corba ${IDL_INCLUDE_DIR})

   # Specify the compile flags for each plugins.
   SET(CORBA_CXX_FLAGS "${CORBA_CXX_FLAGS} ${omniORB4_cflags}")
   SET(CORBA_CXX_FLAGS "${CORBA_CXX_FLAGS} -I${PROJECT_SOURCE_DIR}/corba")
   SET (sotServerAbstract_additional_srcs corba/CORBAReference.cpp)
   SET (sotServerAbstract_plugins_compile_flags  ${CORBA_CXX_FLAGS} )

   SET(CORBA_CXX_FLAGS "${CORBA_CXX_FLAGS} -pthread")
   SET (sotServerCommand_plugins_compile_flags  "${CORBA_CXX_FLAGS} ${MatrixAbstractLayer_cflags}")
   SET (sotServerCommand_additional_srcs ${ServerCommand_Header} ${ServerCommand_common_Header} ${ServerCommand_CPP} ${ServerCommand_common_CPP})

   # Specify the link flags for each plugins.
   SET (sotServerAbstract_plugins_link_flags "${omniORB4_link_FLAGS}" )
   SET (sotServerCommand_plugins_link_flags "${omniORB4_link_FLAGS} ${BOOST_THREAD_LIB_NAME}" )

   INSTALL(FILES
	   ${PROJECT_SOURCE_DIR}/corba/ServerCommand.idl
	   DESTINATION ${CMAKE_INSTALL_PREFIX}/share/SOT
	   PERMISSIONS OWNER_READ GROUP_READ WORLD_READ OWNER_WRITE)

ENDIF(OMNIORB4_FOUND)