SET (libsot_feature_src 
feature/sotFeatureAbstract.cpp 
)

SET (libsot_feature_templates "")

SET(libsot_feature_headers "")

SET(libsot_feature_plugins_headers "")
SET(libsot_feature_plugins_templates "")
SET(libsot_feature_plugins_src 
feature/sotFeature1D.cpp
feature/sotFeatureGeneric.cpp
feature/sotFeatureJointLimits.cpp
feature/sotFeaturePoint6d.cpp
feature/sotFeaturePoint6dRelative.cpp
feature/sotFeatureTask.cpp
feature/sotFeatureVisualPoint.cpp
)

#plugins dependencies
SET (sotFeaturePoint6dRelative_plugins_dependencies sotFeaturePoint6d)
SET (sotFeatureTask_plugins_dependencies sotFeatureGeneric)

FOREACH(srcfile ${libsot_feature_src})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_feature_headers ${newsrcfile} ${libsot_feature_headers})
ENDFOREACH(srcfile)

FOREACH(srcfile ${libsot_feature_plugins_src})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_feature_plugins_headers ${newsrcfile} ${libsot_feature_plugins_headers})
ENDFOREACH(srcfile)

SET(tempext "t\\.cpp")

FOREACH(srcfile ${libsot_feature_templates})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   SET(libsot_feature_headers ${newsrcfile} ${libsot_feature_headers})
ENDFOREACH(srcfile)


#MESSAGE(STATUS "libsot_feature_headers:${libsot_feature_headers}")

# # Specify the compile flags for source file.
# SET_SOURCE_FILES_PROPERTIES (feature/sotFeatureVisualPoint.cpp
			    # feature/sotFeatureGeneric.cpp
			    # feature/sotFeatureAbstract.cpp
			    # feature/sotFeaturePoint6d.cpp
			    # feature/sotFeaturePoint6dRelative.cpp
			    # feature/sotFeatureJointLimits.cpp
			    # feature/sotFeature1D.cpp
			    # feature/sotFeatureTask.cpp
			    # PROPERTIES 	 
			    # COMPILE_FLAGS "${MatrixAbstractLayer_cflags}" )
 
SET (libsot_src ${libsot_src}
${libsot_feature_src}
)

SET (libsot_headers ${libsot_headers}
${libsot_feature_headers}
)

SET (libsot_templates ${libsot_templates}
${libsot_feature_templates}
)

SET (libsot_plugins_headers ${libsot_plugins_headers}
${libsot_feature_plugins_headers}
)
SET (libsot_plugins_templates ${libsot_plugins_templates}
${libsot_feature_plugins_templates}
)
SET (libsot_plugins_src ${libsot_plugins_src}
${libsot_feature_plugins_src}
)
