SET (libsot_math_src
math/sotMatrixRotation.cpp
math/sotVectorUTheta.cpp
math/sotMatrixTwist.cpp
math/sotMatrixForce.cpp
math/sotVectorRollPitchYaw.cpp
math/sotVectorQuaternion.cpp
math/sotMatrixHomogeneous.cpp
)

SET (libsot_math_templates "")

SET(libsot_math_headers 
math/sotVectorRotation.h
)

SET(libsot_math_plugins_headers "")
SET(libsot_math_plugins_templates "")
SET(libsot_math_plugins_src
math/sotOpPointModifior.cpp
)

FOREACH(srcfile ${libsot_math_src})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_math_headers ${newsrcfile} ${libsot_math_headers})
ENDFOREACH(srcfile)

FOREACH(srcfile ${libsot_math_plugins_src})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_math_plugins_headers ${libsot_math_plugins_headers} ${newsrcfile})
ENDFOREACH(srcfile)
SET(tempext "t\\.cpp")



FOREACH(srcfile ${libsot_math_templates})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   SET(libsot_math_headers ${newsrcfile} ${libsot_math_headers})
ENDFOREACH(srcfile)

#MESSAGE(STATUS "libsot_math_headers:${libsot_math_headers}")

# Specify the compile flags for source file.
SET_SOURCE_FILES_PROPERTIES (math/sotMatrixRotation.cpp 
			     math/sotMatrixHomogeneous.cpp 
			     math/sotMatrixTwist.cpp	
			     math/sotMatrixForce.cpp	
			     math/sotOpPointModifior.cpp 
			     math/sotVectorUTheta.cpp
			     math/sotVectorQuaternion.cpp
     			     math/sotVectorRollPitchYaw.cpp
			     PROPERTIES 	 
			     COMPILE_FLAGS "${MatrixAbstractLayer_cflags}" )

SET (libsot_src ${libsot_src}
${libsot_math_src}
)

SET (libsot_headers ${libsot_headers}
${libsot_math_headers}
)

SET (libsot_templates ${libsot_templates}
${libsot_math_templates}
)

SET (libsot_plugins_headers ${libsot_plugins_headers}
${libsot_math_plugins_headers}
)

SET (libsot_plugins_templates ${libsot_plugins_templates}
${libsot_math_plugins_templates}
)

SET (libsot_plugins_src ${libsot_plugins_src}
${libsot_math_plugins_src}
)
