SET (libsot_matrix_src "")

SET (libsot_matrix_templates "")

SET(libsot_matrix_headers "")

SET(libsot_matrix_plugins_headers "") 
SET(libsot_matrix_plugins_templates "")
SET(libsot_matrix_plugins_src 
matrix/sotMatrixConstant.cpp
matrix/sotVectorConstant.cpp
matrix/sotDerivator.cpp
matrix/sotIntegratorAbstract.cpp
matrix/sotIntegratorEuler.cpp
matrix/sotUnaryOp.cpp
matrix/sotBinaryOp.cpp
matrix/sotVectorToRotation.cpp
matrix/sotFIRFilter.cpp
)

FOREACH(srcfile ${libsot_matrix_src})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_matrix_headers ${newsrcfile} ${libsot_matrix_headers})
ENDFOREACH(srcfile)

FOREACH(srcfile ${libsot_matrix_plugins_src})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_matrix_plugins_headers ${newsrcfile} ${libsot_matrix_plugins_headers})
ENDFOREACH(srcfile)

SET(tempext "t\\.cpp")

FOREACH(srcfile ${libsot_matrix_templates})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   SET(libsot_matrix_headers ${newsrcfile} ${libsot_matrix_headers})
ENDFOREACH(srcfile)

FOREACH(srcfile ${libsot_matrix_plugins_templates})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   SET(libsot_matrix_plugins_headers ${newsrcfile} ${libsot_matrix_plugins_headers})
ENDFOREACH(srcfile)

#MESSAGE(STATUS "libsot_matrix_headers:${libsot_matrix_headers}")

#SET_SOURCE_FILES_PROPERTIES (matrix/sotBinaryOp.cpp	
#			     matrix/sotDerivator.cpp
#			     matrix/sotIntegratorAbstract.cpp
#			     matrix/sotIntegratorEuler.cpp
#			     matrix/sotMatrixConstant.cpp
#			     matrix/sotUnaryOp.cpp
#			     matrix/sotVectorConstant.cpp
#			     PROPERTIES 	 
#			     COMPILE_FLAGS "${MatrixAbstractLayer_cflags}" 
#			     LINK_FLAGS "${MatrixAbstractLayer_link_FLAGS}" 
#				 )
 
SET (libsot_src ${libsot_src}
${libsot_matrix_src}
)

SET (libsot_headers ${libsot_headers}
${libsot_matrix_headers}
)

SET (libsot_templates ${libsot_templates}
${libsot_matrix_templates}
)

SET (libsot_plugins_headers ${libsot_plugins_headers}
${libsot_matrix_plugins_headers}
)

SET (libsot_plugins_templates ${libsot_plugins_templates}
${libsot_matrix_plugins_templates}
)

SET (libsot_plugins_src ${libsot_plugins_src}
${libsot_matrix_plugins_src}
)
