# Francois Keith, Olivier Stasse, JRL, CNRS/AIST
# Creation: 25/06/2008
# History:
#
# Copyright CNRS/AIST

SET (libsot_sot_plugins_headers "")
SET (libsot_sot_plugins_templates "")
SET (libsot_sot_plugins_src
sot/sotSOT.cpp
sot/sotWeightedSOT.cpp
)

SET (libsot_sot_templates "")
SET (libsot_sot_src "")
SET (libsot_sot_headers "")

# plugins dependencies
SET (sotWeightedSOT_plugins_dependencies sotSOT)

FOREACH(srcfile ${libsot_sot_src})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_sot_headers ${libsot_sot_headers} ${newsrcfile})
ENDFOREACH(srcfile)

FOREACH(srcfile ${libsot_sot_plugins_src})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_sot_plugins_headers ${libsot_sot_plugins_headers} ${newsrcfile})
ENDFOREACH(srcfile)

SET(tempext "t\\.cpp")

FOREACH(srcfile ${libsot_sot_templates})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   SET(libsot_sot_headers ${libsot_sot_headers} ${newsrcfile})
ENDFOREACH(srcfile)

FOREACH(srcfile ${libsot_sot_plugins_templates})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   SET(libsot_sot_plugins_headers ${libsot_sot_plugins_headers} ${newsrcfile})
ENDFOREACH(srcfile)

#MESSAGE(STATUS "libsot_sot_headers:${libsot_sot_headers}")

# # Specify the compile flags for source file.
# SET_SOURCE_FILES_PROPERTIES (${libsot_sot_plugins}
			     # PROPERTIES 	 
			     # COMPILE_FLAGS "${MatrixAbstractLayer_cflags} ${SOT_CXX_FLAGS}"
			     # LINK_FLAGS "-l${SOT_INTERN_LIBS}" )

SET (libsot_src ${libsot_src}
${libsot_sot_src}
)

SET (libsot_headers ${libsot_headers}
${libsot_sot_headers}
)

SET (libsot_templates ${libsot_templates}
${libsot_sot_templates}
)

SET (libsot_plugins_src ${libsot_plugins_src}
${libsot_sot_plugins_src}
)

SET (libsot_plugins_headers ${libsot_plugins_headers}
${libsot_sot_plugins_headers}
)

SET (libsot_plugins_templates ${libsot_plugins_templates}
${libsot_sot_plugins_templates}
)
