#ifdef WIN32

#ifndef TIME_UTILS_WINDOWS_H
#define TIME_UTILS_WINDOWS_H

#include <sot/sot-0API.h>

#include < time.h >

SOT_EXPORT struct timezone 
{
  int  tz_minuteswest; /* minutes W of Greenwich */
  int  tz_dsttime;     /* type of dst correction */
};

int SOT_EXPORT gettimeofday(struct timeval *tv, struct timezone *tz);

#endif /*TIME_UTILS_WINDOWS_H*/

#endif /*WIN32*/

