SET (libsot_traces_src "")

SET (libsot_traces_templates "")

SET(libsot_traces_headers "")

# plugin
SET(libsot_traces_plugins_headers "")
SET(libsot_traces_plugins_templates "")
SET(libsot_traces_plugins_src
traces/sotTracer.cpp
traces/sotReader.cpp
traces/sotTracerRealTime.cpp
)

# additional dependencies
SET (sotTracerRealTime_plugins_dependencies sotTracer)

FOREACH(srcfile ${libsot_traces_src})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_traces_headers ${libsot_traces_headers} ${newsrcfile})
ENDFOREACH(srcfile)

FOREACH(srcfile ${libsot_traces_plugins_src})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "cpp$" "h" newsrcfile ${srcfile})
   SET(libsot_traces_plugins_headers ${libsot_traces_plugins_headers} ${newsrcfile})
ENDFOREACH(srcfile)

SET(tempext "t\\.cpp")

FOREACH(srcfile ${libsot_traces_templates})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   SET(libsot_traces_headers ${libsot_traces_headers} ${newsrcfile})
ENDFOREACH(srcfile)

FOREACH(srcfile ${libsot_traces_plugins_templates})
   SET(newsrcfile "")
   STRING(REGEX REPLACE "${tempext}$" "h" newsrcfile ${srcfile})
   SET(libsot_traces_plugins_headers ${libsot_traces_plugins_headers} ${newsrcfile})
ENDFOREACH(srcfile)

#MESSAGE(STATUS "libsot_traces_headers:${libsot_traces_headers}")

# # Specify the compile flags for source file.
# SET_SOURCE_FILES_PROPERTIES (${libsot_traces_plugins}
			     # PROPERTIES 	 
			     # COMPILE_FLAGS "${MatrixAbstractLayer_cflags}" )
 
SET (libsot_src ${libsot_src}
${libsot_traces_src}
)

SET (libsot_headers ${libsot_headers}
${libsot_traces_headers}
)

SET (libsot_templates ${libsot_templates}
${libsot_traces_templates}
)

SET (libsot_plugins_headers ${libsot_plugins_headers}
${libsot_traces_plugins_headers}
)

SET (libsot_plugins_templates ${libsot_plugins_templates}
${libsot_traces_plugins_templates}
)

SET (libsot_plugins_src ${libsot_plugins_src}
${libsot_traces_plugins_src}
)

