# Francois Keith, Olivier Stasse, JRL, CNRS/AIST
# Creation: 01/07/2008
# History:
#
# Copyright CNRS/AIST

#####	test_factory
SET (test_list ${test_list} test_factory)
SET (test_factory_src 
plugin/test_factory.cpp  
)
SET(test_factory_CXX_FLAGS "${SOT_TEST_CXX_FLAGS} -pthread ")
SET(test_factory_LINK_FLAGS "${SOT_TEST_LINK_FLAGS} -lpthread ")

#####	test_dshell
IF(UNIX)
SET (test_list ${test_list} test_dshell)
SET (test_dshell_src 
plugin/test_dshell.cpp  
)
SET(test_dshell_CXX_FLAGS "${SOT_TEST_CXX_FLAGS} -pthread ")
SET(test_dshell_LINK_FLAGS "${SOT_TEST_LINK_FLAGS} -lpthread -L${Boost_LIBRARY_DIRS} ${BOOST_THREAD_LIB_NAME}")
			  
SET(test_dshell_Plugins
	sotContiifstream
	sotDistantShell
)

ENDIF(UNIX)

#####	test_shell
SET (test_list ${test_list} test_shell)
SET (test_shell_src 
plugin/test_shell.cpp  
)
SET(test_shell_CXX_FLAGS "${SOT_TEST_CXX_FLAGS} -pthread ")
SET(test_shell_LINK_FLAGS "${SOT_TEST_LINK_FLAGS} -lpthread ")

