# Francois Keith, Olivier Stasse, JRL, CNRS/AIST
# Creation: 01/07/2008
# History:
#
# Copyright CNRS/AIST

IF(UNIX)
			   
#####	test_matrix
SET (test_list ${test_list} test_mailbox)
SET (test_mailbox_src 
tools/test_mailbox.cpp  
)
SET(test_mailbox_CXX_FLAGS "${SOT_TEST_CXX_FLAGS} -pthread ")
SET(test_mailbox_LINK_FLAGS "${SOT_TEST_LINK_FLAGS} -lpthread -L${Boost_LIBRARY_DIRS} ${BOOST_THREAD_LIB_NAME}")

SET(test_mailbox_Plugins
	sotMailbox
)

ENDIF(UNIX)

#####	test_chrono
SET (test_list ${test_list} test_chrono)
SET (test_chrono_src 
tools/test_chrono.cpp  
)
SET(test_chrono_CXX_FLAGS "${SOT_TEST_CXX_FLAGS} -pthread ")
SET(test_chrono_LINK_FLAGS "${SOT_TEST_LINK_FLAGS} ${dynamicsJRLJapan_link_FLAGS} -lpthread ")

SET(test_chrono_Plugins
	sotConstraint
	sotTask
	sotSOT
	sotFeaturePoint6d
	sotMatrixInertia
	sotDynamic
)

#####	test_matrix
SET (test_list ${test_list} test_matrix)
SET (test_matrix_src 
tools/test_matrix.cpp  
)
SET(test_matrix_CXX_FLAGS "${SOT_TEST_CXX_FLAGS} -pthread ")
SET(test_matrix_LINK_FLAGS "${SOT_TEST_LINK_FLAGS} -lpthread ")

SET(test_matrix_Plugins
	sotMatrixInertia
)
